<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:padding="@dimen/margin_1x_size">


    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@drawable/bg_order_topup_card"
        android:padding="@dimen/margin_2x_size"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <com.seatel.mobilehall.util.customview.CustomTextView
            android:id="@+id/tv_plan_name"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:paddingBottom="@dimen/margin_1x_size"
            android:text="Loy Kob - Weekly"
            android:textColor="@color/black"
            android:textSize="@dimen/large_text_size"
            android:textStyle="bold"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <com.seatel.mobilehall.util.customview.CustomTextView
            android:id="@+id/tv_earn_date"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="Earned Date:"
            android:textColor="@color/colorBlue"
            android:textSize="@dimen/small_text_size"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/tv_plan_name" />

        <com.seatel.mobilehall.util.customview.CustomTextView
            android:id="@+id/tv_date"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="18 Dec 2024"
            android:textColor="@color/colorBlue"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/tv_earn_date" />

        <View
            android:id="@+id/view"
            android:layout_width="1dp"
            android:layout_height="30dp"
            android:layout_marginStart="@dimen/margin_2x_size"
            android:background="@color/colorGray"
            app:layout_constraintBottom_toBottomOf="@+id/tv_date"
            app:layout_constraintStart_toEndOf="@+id/tv_date"
            app:layout_constraintTop_toTopOf="@+id/tv_earn_date" />

        <com.seatel.mobilehall.util.customview.CustomTextView
            android:id="@+id/tv_expiry_date"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="@dimen/margin_2x_size"
            android:text="Expiry Date:"
            android:textColor="@color/colorRed"
            android:textSize="@dimen/small_text_size"
            app:layout_constraintStart_toEndOf="@+id/view"
            app:layout_constraintTop_toBottomOf="@+id/tv_plan_name" />

        <com.seatel.mobilehall.util.customview.CustomTextView
            android:id="@+id/tv_expiry"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="@dimen/margin_2x_size"
            android:text="18 Dec 2024"
            android:textColor="@color/colorRed"
            app:layout_constraintStart_toEndOf="@+id/view"
            app:layout_constraintTop_toBottomOf="@+id/tv_expiry_date" />

        <com.seatel.mobilehall.util.customview.CustomTextView
            android:id="@+id/tv_earn_coin"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginEnd="@dimen/margin_1x_size"
            android:text="+5 Coins"
            android:textColor="@color/colorPrimary"
            android:textSize="@dimen/large_text_size"
            android:textStyle="bold"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toTopOf="parent" />


    </androidx.constraintlayout.widget.ConstraintLayout>


</androidx.constraintlayout.widget.ConstraintLayout>